docs

# TextContent

data class TextContent (val text: String , val textSources: TextSourcesList = emptyList()) : MessageContent, TextedInput
Content copied to clipboard

## Constructors

TextContent
Link copied to clipboard
fun TextContent (text: String , textSources: TextSourcesList = emptyList())
Content copied to clipboard

## Functions

createResend
Link copied to clipboard
open override fun createResend ( chatId: ChatIdentifier , disableNotification: Boolean , protectContent: Boolean , replyToMessageId: MessageIdentifier ?, allowSendingWithoutReply: Boolean ?, replyMarkup: KeyboardMarkup ?): Request < ContentMessage < TextContent >>
Content copied to clipboard

## Properties

text
Link copied to clipboard
open override val text : String
Content copied to clipboard
textSources
Link copied to clipboard
open override val textSources : TextSourcesList
Content copied to clipboard

Full list of TextSources

## Extensions

toHtmlTexts
Link copied to clipboard
fun TextContent . toHtmlTexts (): List < String >
Content copied to clipboard
toMarkdownTexts
Link copied to clipboard
fun TextContent . toMarkdownTexts (): List < String >
Content copied to clipboard
toMarkdownV2Texts
Link copied to clipboard
fun TextContent . toMarkdownV2Texts (): List < String >
Content copied to clipboard